# Uses of Class
org.eclipse.ui.texteditor.AnnotationPreferenceLookup

Packages that use AnnotationPreferenceLookup
Package
Description
org.eclipse.ui.editors.text
Provides a standard text editor and concrete document providers based `IFileBuffer` and others directly handling `IFile` and `IStorage` as editor input.
org.eclipse.ui.texteditor
Provides a framework for text editors obeying to the desktop rules.

## Uses of AnnotationPreferenceLookup in org.eclipse.ui.editors.text

Methods in org.eclipse.ui.editors.text that return AnnotationPreferenceLookup
Modifier and Type
Method
Description
`static AnnotationPreferenceLookup`
EditorsUI.`getAnnotationPreferenceLookup()`
Returns the annotation preference lookup of this plug-in.

## Uses of AnnotationPreferenceLookup in org.eclipse.ui.texteditor

Methods in org.eclipse.ui.texteditor that return AnnotationPreferenceLookup
Modifier and Type
Method
Description
`protected AnnotationPreferenceLookup`
AbstractDecoratedTextEditor.`getAnnotationPreferenceLookup()`
Returns the annotation preference lookup.
`protected AnnotationPreferenceLookup`
DefaultMarkerAnnotationAccess.`getAnnotationPreferenceLookup()`
Returns the annotation preference lookup used by this annotation access.